<?php

namespace Signteer;

use Plainwork\Core\App;

abstract class AbstractBoot
{
    abstract public static function modules(): array;

    public final function __construct(App $app)
    {
        $modules = static::modules();

        foreach ($modules as $b) {
            if (class_exists($b)) {
                new $b($app);
            }
        }
    }
}
